Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class CFFFont.UInt32Item

    java.lang.Object
      com.lowagie.text.pdf.CFFFont.Item
          com.lowagie.text.pdf.CFFFont.UInt32Item

Enclosing class:
  CFFFont

    protected static final class CFFFont.UInt32Item

extends CFFFont.Item

Card32 item.

Field Summary
`int` | `value`

Fields inherited from class com.lowagie.text.pdf.CFFFont.Item
`myOffset`

Constructor Summary
`CFFFont.UInt32Item(int value)`

Method Summary
`void` | `emit(byte[] buffer)` Emit the byte stream for this item.
`void` | `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.

Methods inherited from class com.lowagie.text.pdf.CFFFont.Item
`xref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public int value

Constructor Detail

### CFFFont.UInt32Item

    public CFFFont.UInt32Item(int value)

Method Detail

### increment

    public void increment(int[] currentOffset)

  Description copied from class: `CFFFont.Item`
  remember the current offset and increment by item's size in bytes.

  Overrides:
    `increment` in class `CFFFont.Item`

### emit

    public void emit(byte[] buffer)

  Description copied from class: `CFFFont.Item`
  Emit the byte stream for this item.

  Overrides:
    `emit` in class `CFFFont.Item`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD